×
Kunena 5.2 RC 1 Released (25 Oct 2020)

The Kunena team is thrilled to announce the first public release candidate of Kunena 5.2, a native Joomla extension for Joomla 3.9. This is a development release and should be only be used for testing; this version is not recommended for live websites at this stage.

The purpose of this release is to encourage testing by downloading, installing and identifying any problems or shortcomings that people may discover. K 5.2.0 RC1 is stable and we are aware that people will discover defects. We encourage you to use the forum to report defects, as soon as they are discovered, so that the development team can work through the problems before the release of K 5.1 as a stable product. Reporting defects does not mean that the problems can or will be fixed. The Kunena team is looking forward to hearing your feedback on how well we have achieved our design goals.

Question 5.1.7 to 5.1.8 update ERROR

More
1 year 9 months ago #1 by mikerotec
attempted today's update: got this error message and update failed

Class 'Joomla\CMS\Filesystem\Folder' not found


Joomla! 3.8.13
PHP Version 7.2.13

Please Log in or Create an account to join the conversation.

More
1 year 9 months ago #2 by 810
Replied by 810 on topic 5.1.7 to 5.1.8 update ERROR
Mhh that file is since joomla 1.7.

Maybe you are missing the file? \libraries\src\Filesystem\Folder.php
The following user(s) said Thank You: mikerotec

Please Log in or Create an account to join the conversation.

More
1 year 9 months ago - 1 year 9 months ago #3 by mikerotec
affirmative! no [joomla html path]\libraries\src\Filesystem folder exists on our server ...

Incidentally, we have been been running Joomla here for more than five years - AND KUNENA for years as well - never any update issues until now!



PS: ** there does exist a /libraries/kunena/folder.php file - but that is the closest thing I see
Last edit: 1 year 9 months ago by mikerotec.

Please Log in or Create an account to join the conversation.

More
1 year 9 months ago #4 by 810
Replied by 810 on topic 5.1.7 to 5.1.8 update ERROR
Yes, I have changed some stuff to the Default Joomla code. We don't need most code.

1) Download github.com/joomla/joomla-cms/releases the Joomla_3.9.1-Stable-Full_Package.zip
2) Extract it on your ftp. then remove the installation dir, of extract it without the installation.

Then it should work again.

Please Log in or Create an account to join the conversation.

More
1 year 9 months ago #5 by 810
Replied by 810 on topic 5.1.7 to 5.1.8 update ERROR
3) You are using Joomla! 3.8.13, so you need to fix the database after. (Backend - extensions - manage - database - fix)

Please Log in or Create an account to join the conversation.

More
1 year 9 months ago - 1 year 9 months ago #6 by mikerotec
ah.. so its a J3.9 thing???

I now see we do have /libraries/joomla/filesystem/folder.php on the 3.8.13 installations here

been holding off on 3.9 upgrade due to backlog of testing issues with other extensions
Last edit: 1 year 9 months ago by mikerotec.

Please Log in or Create an account to join the conversation.

More
1 year 9 months ago - 1 year 9 months ago #7 by mikerotec
and ya know - Kunena REQUIREMENTS page docs.kunena.org/en/basics/requirements seems to indicate that J3.8.13 is still supported??
Last edit: 1 year 9 months ago by mikerotec.

Please Log in or Create an account to join the conversation.

More
1 year 9 months ago #8 by 810
Replied by 810 on topic 5.1.7 to 5.1.8 update ERROR
3.9 is more stable then 3.8.13

Its not a 3.9 Thing, I moved some code so we can support J4, but there are more improvements needed.
Now we have double functions, but linking to the Joomla code. On K6.0 I will remove it on the kunena part.

Please Log in or Create an account to join the conversation.

More
1 year 9 months ago #9 by 810
Replied by 810 on topic 5.1.7 to 5.1.8 update ERROR
Oh ok, I see it is 3.9 Code. Then I will change the req.
The following user(s) said Thank You: mikerotec

Please Log in or Create an account to join the conversation.

More
1 year 9 months ago - 1 year 9 months ago #10 by mikerotec
Can you make a little Kunena patch just for 3.8.13 (and below) Joomla - with only the three security fixes?
(It's going to be some time before we can move to J3.9 as it simply breaks a lot of things...)

(** or just point me to the specific code improvements so I can patch them myself...)
Last edit: 1 year 9 months ago by mikerotec.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.122 seconds